package com.xsnb.system.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xsnb.common.domain.User;
import com.xsnb.common.result.Result;
import com.xsnb.system.mapper.UserMapper;
import com.xsnb.system.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UserServiceImpl implements UserService {
    @Autowired
    UserMapper userMapper;

    @Override
    public Result<User> byphone(String phone) {
        QueryWrapper<User> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("phone",phone);
        User user = userMapper.selectOne(queryWrapper);
        return Result.success(user);
    }



}
