package com.xsnb.auth.feign;


import com.xsnb.common.domain.User;
import com.xsnb.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient("xsnb-system")
public interface AuthFeignSystem {

    @GetMapping("/user/byphone/{phone}")
    Result<User>  byphone(@PathVariable String phone);



}
