package com.xsnb.system.controller;

import com.xsnb.common.domain.User;
import com.xsnb.common.result.Result;
import com.xsnb.system.domain.Mail;
import com.xsnb.system.service.MailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * FileName: DomeController
 * Author: 张海宁
 * Date:   2024/3/4 14:07
 * Description:测试广场
 * History:
 * <author>      <time>     <version>     <desc>
 * 作者姓名       修改时间      版本号         描述
 */

@RestController
@RequestMapping("/test")
public class DomeController {


    @Autowired
    MailService mailService;


    //获取邮件列表
    @PostMapping("/allListMail")
    public Result<List<Mail>> allListMail(User user){
        return mailService.allListMail(user);
    }
    //删除邮件,通过传来的邮箱id来删除邮件
    @PostMapping("/deleteMail")
    public Result<Mail> deleteMail(Mail mail){
        return mailService.deleteMail(mail);
    }
    //添加邮件,通过邮箱实体类来创建邮箱,也就是邮箱发送
    @PostMapping("/addMail")
    public Result<Mail> addMail(Mail mail){
        return mailService.addMail(mail);
    }


}
